#include "Comparator.h"

#include <avr/io.h>

void Comparator_Init() {
	// set Analog comparator DAC reference to 2.5V
	VREF.ACREF = VREF_REFSEL_2V500_gc;
	
	// configure (but disable) analog comparator (AC)
	CAP_COMP_AC.MUXCTRL = AC_MUXPOS_AINP1_gc | AC_MUXNEG_DACREF_gc;
	CAP_COMP_AC.CTRLA = AC_HYSMODE_MEDIUM_gc;
}

void Comparator_Enable(uint8_t level) {
	CAP_COMP_AC.DACREF = level;
	CAP_COMP_AC.CTRLA = AC_HYSMODE_MEDIUM_gc | AC_ENABLE_bm | AC_OUTEN_bm;
}

void Comparator_Disable() {
	CAP_COMP_AC.CTRLA = AC_HYSMODE_MEDIUM_gc;
}

int Comparator_IsAbove() {
	return !!(CAP_COMP_AC.STATUS & AC_CMPSTATE_bm);
}