#include "RtcTimer.h"

#include <avr/io.h>
#include <avr/interrupt.h>

static int isHit = 0;

ISR(RTC_CNT_vect) {
	RTC.CTRLA &= ~RTC_RTCEN_bm;
	RTC.INTFLAGS = RTC_CMP_bm;
	isHit = 1;
}

void RtcTimer_ConfigureAndStart(uint16_t delay) {
	isHit = 0;
	RTC.CLKSEL = RTC_CLKSEL_XOSC32K_gc;
	RTC.INTCTRL = RTC_CMP_bm;
	while (RTC.STATUS & RTC_CNTBUSY_bm) {}
	RTC.CNT = 0;
	RTC.CMP = delay;
	while (RTC.STATUS & RTC_CTRLABUSY_bm) {}
	RTC.CTRLA = RTC_PRESCALER_DIV32768_gc | RTC_RTCEN_bm;
}


int RtcTimer_IsHit() {
	return isHit;
}