#ifndef UART_H_
#define UART_H_

#include <stdint.h>
#include <avr/io.h>

#define UART_INST		USART3
#define UART_TX_PORT	PORTB
#define UART_TX_PINMASK (1 << 0)
#define UART_RX_PORT	PORTB
#define UART_RX_PINMASK (1 << 1)

#define UART_COLOR_BLACK 0
#define UART_COLOR_RED 1
#define UART_COLOR_GREEN 2
#define UART_COLOR_YELLOW 3
#define UART_COLOR_BLUE 4
#define UART_COLOR_MAGENTA 5
#define UART_COLOR_CYAN 6
#define UART_COLOR_WHITE 7
#define UART_COLOR_DEFAULT 9

void UART_Init();
void UART_PrintString(char* message);
void UART_PrintNumber(int number);
void UART_PrintNumberHex(int number);
void UART_PrintNumberBin(int number);
void UART_SetFontColor(uint8_t color);
void UART_SetBackgroundColor(uint8_t color);
void UART_PrintNumberHex2(int number);
void UART_PrintNumberHex4(int number);

#endif